# Open-Data Schleswig-Holstein example code
To get you started working with the Open-Data Schleswig-Holstein we created some "hello world" examples on how to process different formats and display them or even create a visualization (slideshows, graphs, maps etc.). Feel free to contribute corrections or new examples to help others!

Example # | Name | Description | Input format | Output | Source
--- | --- | --- | --- | --- | --- 
01 | Highest Salaries | Show earnings of municipal managers in Schleswig-Holstein (based on a voluntarily survey) | JSON | Table | https://opendata-stage.schleswig-holstein.de/dataset/verguetungsoffenlegung 
02 | Wind turbines | Show height data of wind turbines in Schleswig-Holstein | CSV | Histogram | https://opendata.schleswig-holstein.de/collection/windkraftanlagen/aktuell.csv
03 | Monuments slideshow | Create a slideshow using ffmpeg from images from monuments in Schleswig-Holstein | JSON | Slideshow (mpeg) | https://opendata.schleswig-holstein.de/dataset/denkmalliste-2024-08-08
04 | Water measuring stations | Display all water level measuring stations in Schleswig-Holstein using the folium library with OpenStreetMap | CSV | OpenStreetMap overlay | https://opendata.schleswig-holstein.de/dataset/pegel-stammdaten
05 | Park bench map | Show a map of all park benches in the city of Norderstedt | SHP (shape file) | Table, Open Street Map overlay | https://opendata.schleswig-holstein.de/dataset/parkbanke
06 | Tax office map | Create a formatted HTML and map containing all tax offices in Schleswig-Holstein | RDF | HTML table, Open Street Map overlay | https://opendata.schleswig-holstein.de/dataset/finanzamter-2024-01-28
